org.apache.el.parser

## Class AstIdentifier

- java.lang.Object
- - org.apache.el.lang.ELSupport
  - - org.apache.el.parser.SimpleNode
    - - org.apache.el.parser.AstIdentifier

All Implemented Interfaces:
  Node

    public final class AstIdentifier
    extends SimpleNode

Author:
  Jacob Hookom [jacob@hookom.net]

### Field Summary

### Fields inherited from class org.apache.el.parser.SimpleNode

`children, id, image, parent`

### Constructor Summary

Constructors
Constructor and Description
`AstIdentifier(int id)`

### Method Summary

Methods
`MethodInfo` `getMethodInfo(EvaluationContext ctx, Class<?>[] paramTypes)`
`Class<?>` `getType(EvaluationContext ctx)`
`Object` `getValue(EvaluationContext ctx)`
`ValueReference` `getValueReference(EvaluationContext ctx)`
`Object` `invoke(EvaluationContext ctx, Class<?>[] paramTypes, Object[] paramValues)`
`boolean` `isReadOnly(EvaluationContext ctx)`
`void` `setImage(String image)`
`void` `setValue(EvaluationContext ctx, Object value)`

### Methods inherited from class org.apache.el.parser.SimpleNode

`accept, equals, getImage, hashCode, isParametersProvided, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

### Methods inherited from class org.apache.el.lang.ELSupport

`coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isLongOp, isStringFloat`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AstIdentifier

    public AstIdentifier(int id)

### Method Detail

#### getType

    public Class<?> getType(EvaluationContext ctx)
                     throws ELException

Specified by:
  `getType` in interface `Node`
Overrides:
  `getType` in class `SimpleNode`
Throws:
  `ELException`

#### getValue

    public Object getValue(EvaluationContext ctx)
                    throws ELException

Specified by:
  `getValue` in interface `Node`
Overrides:
  `getValue` in class `SimpleNode`
Throws:
  `ELException`

#### isReadOnly

    public boolean isReadOnly(EvaluationContext ctx)
                       throws ELException

Specified by:
  `isReadOnly` in interface `Node`
Overrides:
  `isReadOnly` in class `SimpleNode`
Throws:
  `ELException`

#### setValue

    public void setValue(EvaluationContext ctx,
                Object value)
                  throws ELException

Specified by:
  `setValue` in interface `Node`
Overrides:
  `setValue` in class `SimpleNode`
Throws:
  `ELException`

#### invoke

    public Object invoke(EvaluationContext ctx,
                Class<?>[] paramTypes,
                Object[] paramValues)
                  throws ELException

Specified by:
  `invoke` in interface `Node`
Overrides:
  `invoke` in class `SimpleNode`
Throws:
  `ELException`

#### getMethodInfo

    public MethodInfo getMethodInfo(EvaluationContext ctx,
                           Class<?>[] paramTypes)
                             throws ELException

Specified by:
  `getMethodInfo` in interface `Node`
Overrides:
  `getMethodInfo` in class `SimpleNode`
Throws:
  `ELException`

#### setImage

    public void setImage(String image)

Overrides:
  `setImage` in class `SimpleNode`

#### getValueReference

    public ValueReference getValueReference(EvaluationContext ctx)

Specified by:
  `getValueReference` in interface `Node`
Overrides:
  `getValueReference` in class `SimpleNode`